<!DOCTYPE html>
<html xmlns:th="www.thymeleaf.org">
<head>
    <title>Nouvelle Commande</title>
</head>
<body>
<div th:include="header.html"></div>
</br>
<div class="col-md-8 col-md-offset-2">
    <div class="panel panel-info">
        <div class="panel-heading">
            <h2 class="panel-title text-center">Ajout et Update de Commande</h2></div>
        <div class="panel-body">
            <form class="form-horizontal" method="POST" th:action="@{/commande/add}"
                  th:object="${commande}">
                <input class="form-control" th:field="*{id}" type="hidden"/>

                <div class="form-group">
                    <label class="control-label col-md-2">Date</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{date}" type="date"/>
                        <span class="text-danger" th:errors="*{date}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel1">Statut</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel1" th:field="*{statutCommande}">
                            <option th:text="NON_REGLER" th:value="NON_REGLER"></option>
                            <option th:text="REGLER" th:value="REGLER"></option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel2">Client-Fournisseur</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel2" th:field="*{personne.id}">
                            <option th:each="person:${personnes}"
                                    th:text="${person.prenom}+' '+${person.nom}+' | '+ ${person.telephone}"
                                    th:value="${person.id}"></option>
                        </select>
                    </div>
                </div>
                <input class="form-control" name="user.id" th:value="${userId}" type="hidden"/>

                <!--<div class="form-group">
                    <label class="control-label col-md-2" for="sel3">Utilisateur</label>
                    <div class="col-md-10">

                        <select class="form-control" id="sel3" th:field="*{user.id}">
                            <option th:each="user:${users}"
                                    th:text="${user.prenom}+' '+${user.nom}+' | '+ ${user.telephone}"
                                    th:value="${user.id}"></option>
                        </select>
                    </div>
                </div>-->

                <div class="text-center">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Sauvegarder</button>
                </div>
            </form>
        </div>
    </div>
</div>

</body>
</html>